org.apache.kylin.jdbc.stub

## Class KylinColumnMetaData

- java.lang.Object
- - net.hydromatic.avatica.ColumnMetaData
  - - org.apache.kylin.jdbc.stub.KylinColumnMetaData

    public class KylinColumnMetaData
    extends net.hydromatic.avatica.ColumnMetaData

Author:
  xduo

### Nested Class Summary

### Nested classes/interfaces inherited from class net.hydromatic.avatica.ColumnMetaData

`net.hydromatic.avatica.ColumnMetaData.ArrayType, net.hydromatic.avatica.ColumnMetaData.AvaticaType, net.hydromatic.avatica.ColumnMetaData.Rep, net.hydromatic.avatica.ColumnMetaData.ScalarType, net.hydromatic.avatica.ColumnMetaData.StructType`

### Field Summary

### Fields inherited from class net.hydromatic.avatica.ColumnMetaData

`autoIncrement, caseSensitive, catalogName, columnClassName, columnName, currency, definitelyWritable, displaySize, label, nullable, ordinal, precision, readOnly, scale, schemaName, searchable, signed, tableName, type, writable`

### Constructor Summary

Constructors
Constructor and Description

`KylinColumnMetaData(int ordinal, boolean autoIncrement, boolean caseSensitive, boolean searchable, boolean currency, int nullable, boolean signed, int displaySize, String label, String columnName, String schemaName, int precision, int scale, String tableName, String catalogName, net.hydromatic.avatica.ColumnMetaData.AvaticaType type, boolean readOnly, boolean writable, boolean definitelyWritable, String columnClassName)`

### Method Summary

Methods
`static net.hydromatic.avatica.ColumnMetaData` `dummy(int ordinal, String label, String columnName, net.hydromatic.avatica.ColumnMetaData.AvaticaType type, boolean nullable)`

### Methods inherited from class net.hydromatic.avatica.ColumnMetaData

`array, dummy, scalar, struct`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinColumnMetaData

    public KylinColumnMetaData(int ordinal,
                       boolean autoIncrement,
                       boolean caseSensitive,
                       boolean searchable,
                       boolean currency,
                       int nullable,
                       boolean signed,
                       int displaySize,
                       String label,
                       String columnName,
                       String schemaName,
                       int precision,
                       int scale,
                       String tableName,
                       String catalogName,
                       net.hydromatic.avatica.ColumnMetaData.AvaticaType type,
                       boolean readOnly,
                       boolean writable,
                       boolean definitelyWritable,
                       String columnClassName)

### Method Detail

#### dummy

    public static net.hydromatic.avatica.ColumnMetaData dummy(int ordinal,
                                              String label,
                                              String columnName,
                                              net.hydromatic.avatica.ColumnMetaData.AvaticaType type,
                                              boolean nullable)